NucleicPolymer
Date: 2019-10-22

org.jmol.modelsetbio

## Class NucleicPolymer

- java.lang.Object
- - org.jmol.modelsetbio.BioPolymer
  - - org.jmol.modelsetbio.PhosphorusPolymer
    - - org.jmol.modelsetbio.NucleicPolymer

- All Implemented Interfaces:
    Structure

      public class NucleicPolymer
      extends PhosphorusPolymer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.String>` | `htGroup1`
    `boolean` | `isDssrSet`

    - ### Fields inherited from class org.jmol.modelsetbio.BioPolymer

      `bioPolymerIndexInModel, bsSelectedMonomers, controlPoints, cyclicFlag, hasStructure, hasWingPoints, haveParameters, invalidControl, leadAtomIndices, leadMidpoints, leadPoints, model, monomerCount, monomers, reversed, sheetSmoothing, twistedSheets, type, TYPE_AMINO, TYPE_CARBOHYDRATE, TYPE_NOBONDING, TYPE_NUCLEIC, wingVectors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NucleicPolymer(Monomer[] monomers)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static int` | `addHydrogenBond(javajs.util.Lst<Bond> vAtoms, Atom atom1, Atom atom2)`
    `protected boolean` | `calcEtaThetaAngles()`
    `void` | `calcRasmolHydrogenBonds(BioPolymer polymer, javajs.util.BS bsA, javajs.util.BS bsB, javajs.util.Lst<Bond> vAtoms, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
    `(package private) Atom` | `getNucleicPhosphorusAtom(int monomerIndex)`

    - ### Methods inherited from class org.jmol.modelsetbio.BioPolymer

      `calcParameters, calcPhiPsiAngles, calcSelectedMonomersCount, calculateRamachandranHelixAngle, clearStructures, findNearestAtomIndex, getControlPoint, getControlPoints, getIndex, getLeadAtomIndices, getLeadMidPoint, getLeadMidpoints, getLeadPoint, getLeadPoints, getPolymerPointsAndVectors, getPolymerSequenceAtoms, getProteinStructure, getRange, getRangeGroups, getSelectedMonomerCount, getSequence, getType, getWingPoint, getWingVectors, isCyclic, isMonomerSelected, isNucleic, recalculateLeadMidpointsAndWingVectors, resetHydrogenPoints, set, setAtomBits, setAtomBitsAndClear, setConformation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isDssrSet

          public boolean isDssrSet

    - #### htGroup1

          public static java.util.Map<java.lang.String,java.lang.String> htGroup1

  - ### Constructor Detail

    - #### NucleicPolymer

          NucleicPolymer(Monomer[] monomers)

  - ### Method Detail

    - #### getNucleicPhosphorusAtom

          Atom getNucleicPhosphorusAtom(int monomerIndex)

    - #### calcEtaThetaAngles

          protected boolean calcEtaThetaAngles()

      Overrides:
        `calcEtaThetaAngles` in class `BioPolymer`

    - #### calcRasmolHydrogenBonds

          public void calcRasmolHydrogenBonds(BioPolymer polymer,
                                              javajs.util.BS bsA,
                                              javajs.util.BS bsB,
                                              javajs.util.Lst<Bond> vAtoms,
                                              int nMaxPerResidue,
                                              int[][][] min,
                                              boolean checkDistances,
                                              boolean dsspIgnoreHydrogens)

      Overrides:
        `calcRasmolHydrogenBonds` in class `BioPolymer`

    - #### addHydrogenBond

          protected static int addHydrogenBond(javajs.util.Lst<Bond> vAtoms,
                                               Atom atom1,
                                               Atom atom2)